Skip to main content
Alerting & Response/Alert Rules

ListAlertRuleScopeValues

List known values for an allowed alert scope field

GET/api/v1/alerting/rules/scope-values

Operation ID

ListAlertRuleScopeValues

Since

1.2.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • productType
    String

    Product type used to select scope values

  • resourceType
    String

    Resource type used to narrow available values

  • metricName
    String

    Metric name used to narrow available values

  • field
    String

    Scope field key whose values should be listed

  • platformUuid
    String

    Platform UUID used for platform-specific value lookup

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    List of known values for the requested scope field

    Example: (nested array)

    • value
      String

      Scope value used in rule filters

      Example: zone-a

    • label
      String

      Display label for the scope value

      Example: Zone A

    • extra
      LinkedHashMap

      Additional value metadata returned for client display

      Example: (nested object)

  • total
    Integer

    Total number of values matching the filter

    Example: 50

  • page
    Integer

    Page number returned in this response

    Example: 1

  • pageSize
    Integer

    Page size returned in this response

    Example: 20

  • limit
    Integer

    Maximum items returned in this response

    Example: 20

  • offset
    Integer

    Offset from start of result set

    Example: 20